%define base_version 8

# just higher than anolis-epao-release in rawhide
%define anolis_release 3

Name:           anolis-epao-release
Version:        %{base_version}
Release:        %{anolis_release}%{?dist}
Summary:        Extra Packages for Anolis OS(EPAO) repo

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        AnolisOS-EPAO.repo

Requires:   anolis-gpg-keys

# obsoletes anolis-experimental-release from rawhide
Obsoletes:      anolis-experimental-release < 8.3
Provides:       anolis-experimental-release

BuildArch:  noarch

%description
Extra Packages for Anolis OS(EPAO) %{base_version} repository configuration

%prep
echo OK

%build
echo OK

%install
# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%files
%config(noreplace) /etc/yum.repos.d/AnolisOS-EPAO.repo

%changelog
* Thu Jul 20 2023 Liwei Ge <liwei.glw@alibaba-inc.com> - 8-3
- Init version of anolis-epao-release
